Subject: Fwd: Cebu Productivity
From: Saurabh Dadu <[email-masked]>
To: Urvika Chaudhary <[email-masked]>
Date: Mon, 7 Oct 2019 13:21:14 +0000

Regards,

Saurabh Dadu
LiveSalesman

Begin forwarded message:

From: Robert Cosgrove <[email-masked]>
Date: 7 October 2019 at 9:13:35 AM GMT-4
To: Saurabh Dadu <[email-masked]>
Cc: Meghan Flanagan <[email-masked]>, Urvika Chaudhary <[email-masked]>
Subject: RE:  Cebu Productivity

Hi Saurabh,

I have asked Meghan to add me to this thread as I am trying to figure out why this account seems to not be improving at all. On this thread alone from Sept 10th to date, Meghan has been flagging the same issues week after week. So I really need to understand the following:

  *   Why is this Teams Quality Error % still not going down even though we have provided you with the reasons why.
  *   Why are the agents not logging in and out on time…
  *   Why is Meghan being excluded from your conversations with Dre and why isn’t she getting the minutes?
     *   “We took it up with him on Skype, and forwarded your email to him.” Is not how I would like to see anyone reply to my Account Managers. We should have full visibility of what is going on.

Please let us know how the conversation went today and what is being done right now to improve their Quality and Productivity.

Kind regards